<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwDeviceEditorNavigator: fwDeviceEditorNavigator.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwDeviceEditorNavigator
   &#160;<span id="projectnumber">8.4.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwDeviceEditorNavigator_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwDeviceEditorNavigator.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="memitem:aa3d8ecde84a1c1986830c3a52b3df416"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceEditorNavigator_8ctl.html#aa3d8ecde84a1c1986830c3a52b3df416">fwDeviceEditorNavigator_openRootModule</a> (dyn_string &amp;exceptionInfo, int offsetX=0, int offsetY=0)</td></tr>
<tr class="separator:aa3d8ecde84a1c1986830c3a52b3df416"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a7fd87efe074bda3160ce8e31b9d34"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceEditorNavigator_8ctl.html#af2a7fd87efe074bda3160ce8e31b9d34">fwDeviceEditorNavigator_callCommand</a> (string command, dyn_string selectedNode, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:af2a7fd87efe074bda3160ce8e31b9d34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa834b3d2825bbc2c82fbc273516f93f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceEditorNavigator_8ctl.html#aaa834b3d2825bbc2c82fbc273516f93f">fwDeviceEditorNavigator_executeCommand</a> (string dpe1, string command, string dpe2, dyn_string selectedNode)</td></tr>
<tr class="separator:aaa834b3d2825bbc2c82fbc273516f93f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6efc2a4f9f2e62200c1dc7f22bc19c52"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceEditorNavigator_8ctl.html#a6efc2a4f9f2e62200c1dc7f22bc19c52">_fwDeviceEditorNavigator_getStatus</a> (string device, dyn_bool &amp;status, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a6efc2a4f9f2e62200c1dc7f22bc19c52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebed7d687802a27f26a8fdf78aab7213"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceEditorNavigator_8ctl.html#aebed7d687802a27f26a8fdf78aab7213">fwDeviceEditorNavigator_pasteLogical</a> (dyn_string destDevice, dyn_string pastedDevice, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aebed7d687802a27f26a8fdf78aab7213"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains the functions needed by the Device Editor and Navigator. The tool displays all the devices of the system in a hierarchical way. It also allows to browse through them to display operation and configuration information.</p>
<dl class="section user"><dt>Creation Date</dt><dd>31/10/2001</dd></dl>
<dl class="section user"><dt>Modification History </dt><dd></dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>Requires the fwTreeView and fwGeneral components of the Framework installed.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Manuel Gonzalez Berges (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="aa3d8ecde84a1c1986830c3a52b3df416"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDeviceEditorNavigator_openRootModule </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>offsetX</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>offsetY</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Modification History:</p>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any exceptions </td></tr>
    <tr><td class="paramname">offsetX</td><td>offset in the x direction to place device module </td></tr>
    <tr><td class="paramname">offsetY</td><td>offset in the y direction to place device module </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af2a7fd87efe074bda3160ce8e31b9d34"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDeviceEditorNavigator_callCommand </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>command</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>selectedNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">command</td><td></td></tr>
    <tr><td class="paramname">selectedNode</td><td></td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>returns details of any exceptions</td></tr>
  </table>
  </dd>
</dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000001">Reviewed:</a></b></dt><dd>2018-06-22 {} not used directly, yet completes the mechanism of "remote control" for DEN provided by <a class="el" href="fwDeviceEditorNavigator_8ctl.html#aaa834b3d2825bbc2c82fbc273516f93f">fwDeviceEditorNavigator_executeCommand</a></dd></dl>

</div>
</div>
<a class="anchor" id="aaa834b3d2825bbc2c82fbc273516f93f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDeviceEditorNavigator_executeCommand </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>command</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>selectedNode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe1</td><td></td></tr>
    <tr><td class="paramname">command</td><td></td></tr>
    <tr><td class="paramname">dpe2</td><td></td></tr>
    <tr><td class="paramname">selectedNode</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000002">Reviewed:</a></b></dt><dd>2018-06-22 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-Callback">Callback</a> , dpConnected to _FwDeviceEditorNavigator datapoints in the fwDeviceEditorNavigator.pnl </dd></dl>

</div>
</div>
<a class="anchor" id="a6efc2a4f9f2e62200c1dc7f22bc19c52"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwDeviceEditorNavigator_getStatus </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>device</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns current status of the Device Editor &amp; Navigator.
</pre><p> Currently this comprises: -whether a local or a remote system is selected -whether edit is possible Also the global variable (g_fwDEN_selectedSystem) with the current selected system is updated.</p>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">device</td><td>device dp name or dp alias </td></tr>
    <tr><td class="paramname">status</td><td>array with current status -status[fwDEN_STATUS_LOCAL]: whether we are in the local system or not -status[fwDEN_STATUS_EDIT]: whether we are in Editor mode or not. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aebed7d687802a27f26a8fdf78aab7213"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDeviceEditorNavigator_pasteLogical </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>destDevice</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>pastedDevice</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function to paste a device (pastedDevice) and its children as
</pre><p> child of another device (destDevice) in the logical hierarchy</p>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">destDevice</td><td>destination device object </td></tr>
    <tr><td class="paramname">pastedDevice</td><td>pasted device object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwDeviceEditorNavigator_8ctl.html">fwDeviceEditorNavigator.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
